%define ver     4.0.0

Summary: LSB Application Checking tool
Name: lsb-appchk
Version: %ver
Release: 2
License: LF
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Buildroot: /var/tmp/lsb-appchk-root
AutoReqProv: no
Source: lsb-appchk-%ver.tar.gz
Requires: lsb-setup
# LSB 3.0 support is different due to differing provides
# use --nodeps or install the 3.0 released package for that
PreReq: lsb >= 3.1

%description
lsbappchk is a program which forms part of a series of checks that a
package is LSB compliant. It verifies that a supplied binary only uses
dynamically linked symbols that are 

a) part of the LSB specification OR
b) in shared libraries in the optionally specified directory (this
   directory and its contents would be packaged with the binary).

%prep
%setup -q

%build
make CC=/opt/lsb/bin/lsbcc CXX=/opt/lsb/bin/lsbc++ LSBVERSION=${RPM_PACKAGE_VERSION} LSBAPPCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} all test

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-appchk
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-appchk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/lsbappchk
/opt/lsb/doc/lsb-appchk/Licence
/opt/lsb/doc/lsb-appchk/README
/opt/lsb/man/man1/lsbappchk.1

%changelog
* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- require lsb-setup, be specific with %%files list

* Wed Oct 30 2006 Mats Wichmann <mats@freestandards.org>
- conform more closely to packaging conventions

* Tue Feb 18 2003 Christopher Yeoh <cyeoh@samba.org>
- Rebuild 1.3.1 release

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.2.1
- Various interface fixes
- Adds a version tag to journal

* Mon Jun 17 2002 Christopher Yeoh <cyeoh@samba.org>
- Updated for 1.2
- Resync with 1.2 specification db
- Adds support for PPC32

* Mon May 6 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.4 release

* Mon Apr 29 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.3 release
- Adds support for ia64

* Thu Mar 21 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.2 release

* Tue Dec 18 2001 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1 cut of database.

* Tue Oct 4 2001 Christopher Yeoh <cyeoh@samba.org>
- Initial package

